Subject: error message improvement: "only absolute run-paths are allowed"
From: Karl Berry <[email-masked]>
To: [email-masked]
Date: Sun, 16 Jun 2024 10:06:16 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

With a libtool invocation like this (comes from the Automake test
instdir-ltlib.sh, which is intentionally testing empty directory values):

/bin/sh ./libtool  --tag=CC   --mode=link cc  -g -O2   -o libfoo.la -rpath  libfoo.lo  

libtool reports:

libtool:   error: only absolute run-paths are allowed

I gather the problem is a missing argument to -rpath, which I see
reported in several places over the years.

I suggest that it would be clearer if the error message included the
offending option and argument, as in:

libtool: error: argument to -rpath is not absolute: libfoo.lo

(I also don't understand why there are three spaces
after "libtool:" instead of one, but whatever.) --thanks, karl.